<template>
  <div class="d-flex flex-column flex-column-fluid bgi-position-y-bottom position-x-center bgi-no-repeat bgi-size-contain bgi-attachment-fixed">
    <div class="d-flex flex-center flex-column flex-column-fluid p-10 pb-lg-20">
      <a
        href="#"
        class="mb-12"
      >
        <img
          alt="Logo"
          src="../../public/cebusk/media/img/logo.png"
          class="h-150px"
        >
      </a>
      <div class="card w-lg-500px bg-body rounded shadow-sm p-10 p-lg-15 mx-auto">
        <div
          id="formLogin"
          class="form w-100"
        >
          <div class="text-center mb-10">
            <h1 class="text-dark mb-3">
              Panel Administrativo Cebusk
            </h1>
          </div>

          <div class="fv-row mb-10">
            <div class="d-flex flex-stack mb-2">
              <label class="form-label fw-bolder text-dark fs-6 mb-0">Correo</label>
            </div>
            <input
              v-model="mLogin.correo"
              class="form-control form-control-lg"
              type="email"
              name="correo"
              autocomplete="on"
            >
          </div>

          <div class="fv-row mb-10">
            <div class="d-flex flex-stack mb-2">
              <label class="form-label fw-bolder text-dark fs-6 mb-0">Contraseña</label>
            </div>
            <input
              v-model="mLogin.contrasena"
              class="form-control form-control-lg"
              type="password"
              name="contrasena"
              autocomplete="on"
            >
          </div>

          <div class="text-center">
            <button
              id="btnLogin"
              class="btn btn-lg btn-success w-100 mb-5"
              @click="onLogin()"
            >
              <span class="indicator-label">Continuar</span>
              <span class="indicator-progress">Espere un momento...
                <span class="spinner-border spinner-border-sm align-middle ms-2" /></span>
            </button>
          </div>
        </div>
      </div>
    </div>
    <a
      id="reload"
      href="/inicio"
      class="hidden"
    />
  </div>
</template>
<script>
import Servicio from "@/core/servicio/Servicio";
import Ruta from "@/core/servicio/Ruta";
import LoginNegocio from "@/core/negocio/LoginNegocio";
import Alerta from "@/core/util/Alerta";
import Toast from "@/core/util/Toast";
//import router from "@/router";
import store from "@/store";

export default {
  name: 'LoginView',
  data() {
    return {
      mLogin: {
        correo: '',
        contrasena: ''
      }
    }
  },
  methods: {
    onLogin() {
      let datos = {
        'correo': this.mLogin.correo,
        'contrasena': this.mLogin.contrasena
      };
      LoginNegocio.iniciarProgressBtnLogin();

      Servicio.post(Ruta.AUTENTICACION_LOGIN, datos).then( (data) => {
        //ACCION OK
        localStorage.setItem('token', data.data.token);
        store.commit('SET_USUARIO', data.data);
        Toast.mostrarExito(data.mensaje);
        LoginNegocio.terminarProgressBtnLogin();
        //router.push({path:'/inicio'});
        document.getElementById('reload').click();

      }).catch((error) => {
        //ACCION ERROR
        Alerta.alertaError(error);
        LoginNegocio.terminarProgressBtnLogin();
      });
    }
  }
}
</script>